<?php
// path to pictures and mosaic
$cache_dir = "../gallery/cache/";
$cachepass_file = ".ht_cachepass";


// turn off PHP-Errors
error_reporting(0);

// function: read file
function file_read($file) {
	if(file_exists($file)) {
		$get_file = fopen($file, "r");
		$file_size = filesize($file);
  
		if($file_size == NULL)
			$file_size = 1;
  
		$read_file = fread($get_file, $file_size);
		fclose($get_file);
 	} return $read_file;
}

// function: write file
function file_write($file, $content) {
	$open = fopen($file, "w");
	fwrite($open, $content);
	fclose($open);
}

// check for password
if(isset($ask_for_clear_cache)) {
	if(file_exists($cachepass_file)) {
		$cachepass = file_read($cachepass_file);
		if($ask_for_cachepass == $cachepass) $clear_cache = true; else $message = "wrong_cachepass";
	} else $message = "cachepass_new";
} else $message = "welcome";

// set cachepass if not exists
if(isset($cachepass_new) && isset($ask_for_cachepass) && $ask_for_cachepass != "") {
	file_write($cachepass_file, $ask_for_cachepass);
	if(file_exists($cachepass_file)) {
		$message = "cachepass_new_saved";
		$clear_cache = 1;
	} else $message = "cachepass_new_error";
}

// delete cache
if(isset($clear_cache)) {
	if($handle = opendir($cache_dir)) { 
		while($objectname = readdir($handle)) {
			if($objectname != "." && $objectname != "..")
				unlink($cache_dir . $objectname);
		}
		closedir($handle);
		if(rmdir($cache_dir))
			$message = "deleted";
				else $message = "error_unknown";
				
	} else $message = "error_notexists";
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>MOSAIC CONTROL</title>
	
	<style type="text/css">
	body {
		margin:0px;
		background-color:#FFFFFF;
		font-family:Geneva, Arial, Helvetica, sans-serif;
		font-size:0.7em;
		color:#3B488C;
		text-align:center }
	
	div.main_container {
		width:422px;
		margin:0px auto;
		text-align:left;
		margin-top:50px;
		background-color:#F3F3F3 }
		
	div.main {
		padding:15px }
		
	.help_link {
		cursor:hand;
		cursor:pointer;
		color:#3E8007;
		text-decoration:none;
		font-weight:bold }
	</style>
	
	<script type="text/javascript" language="javascript">
	function showHelp() {
		document.getElementById("help").innerHTML = '<b>Was is der cache-Ordner?</b><br>Der Ordner befindet sich in Ihrem gallery-Ordner (standardm&auml;&szlig;ig: <?php echo $cache_dir ?>) und wird automatisch von MOSAIC erzeugt. Wenn MOSAIC geladen wird, produziert es Miniaturansichten in verschiedenen Gr&ouml;&szlig;en (standardm&auml;&szlig;ig vier: THUMBNAILS, NORMAL, FLAGS und SLIDESHOW). Diese neuen Dateien werden in einem separaten Ordner Ihres gallery-Ordners gespeichert, genannt <b>cache</b>. Beim erneuten Laden von MOSAIC, werden die kleineren Miniaturbilder von MOSAIC verwendet, da diese schneller geladen werden k&ouml;nnen und den Server schonen. Da die MOSAIC-Dateien jedoch von MOSAC erstellt wurden, k&ouml;nnen Sie diese nicht manuell per FTP l&ouml;schen jedoch mit MOSAIC CONTROL.<br><br><b>Wann sollte man den cache-Ordner l&ouml;schen?</b><br>Wenn Sie zus&auml;tzlichen Speicherplatz auf Ihrem Server ben&ouml;tigen, k&ouml;nnte es hilfreich sein zun&auml;chst den cache-Ordner zu leeren. Eventuell kann lagern hier veraltete MOSAIC-Dateien Ihrer Galerie, die nicht mehr ben&ouml;tigt werden.';
	}
	</script>
</head>

<body>

<div class="main_container">
	<img src="control_background_top.gif" width="422" height="15" alt="------"><br>
	<div class="main">
		<img src="logo.gif" width="270" height="40" alt="MOSAIC CONTROL (by calenberg.)"><br>
		<br>
		<?php
		if($message == "welcome") {
			echo "<h3>Willkommen</h3>";
			echo "Mit MOSAIC CONTROL k&ouml;nnen Sie schnell und einfach den schreibgesch&uuml;tzten, tempor&auml;ren Ordner&nbsp;Ihrer Galerie l&ouml;schen. Bitte stellen Sie zuvor jedoch sicher, dass der Pfad identisch ist mit: <b>$cache_dir</b>.<br><br>Wenn Sie nicht wissen was es mit dem cache-Ordner aufsich hat und warum Sie diesen leeren sollten, klicken Sie bitte <span class=\"help_link\" onclick=\"javascript:showHelp()\">hier</span>.";
			echo "<br><br>";
			echo "Bitte geben Sie Ihr geheimes Kennwort ein.";
			echo "<br><br>";
			echo "<form method=\"post\"><input type=\"password\" name=\"ask_for_cachepass\"><input type=\"submit\" value=\"Clear cache\" name=\"ask_for_clear_cache\"></form>";
			echo "<div id=\"help\"></div>";
		}

		if($message == "cachepass_new") {
			echo "<h3>Willkommen</h3>";
			echo "Sie melden sich zum ersten Mal in MOSAIC CONTROL an. Bitte erstellen Sie zun&auml;chst ein geheimes Passwort.";
			echo "<br><br>";
			echo "<form method=\"post\"><input type=\"password\" name=\"ask_for_cachepass\"><input type=\"submit\" value=\"Erstellen\" name=\"cachepass_new\"></form>";
			echo "<div id=\"help\"></div>";
		}

		if($message == "cachepass_new_saved") {
			echo "<h3>Fertig :-)</h3>";
			echo "Ihr geheimes Kenntwort wurde gespeichert und der cache-Ordner geleert. Bitte starten Sie nun MOSAIC erneut und f&uuml;hren Sie alle Optionen aus, um neue MOSAIC-Dateien Ihrer Bilder zu erstellen. Insbesondere sollten die SLIDESHOW vollst&auml;ndig ausgef&uuml;hrt werden.<br><br><a href=\"../\" class=\"help_link\">MOSAIC starten</a>";
		}

		if($message == "cachepass_new_error") {
			echo "<h3>Error :-(</h3>";
			echo "Es trat ein Fehler beim Speichern Ihres geheimen Kenntwortes auf. M&ouml;glicherweise ist control-Ordner schreibgesch&uuml;tzt. &Auml;ndern Sie dies bitte mit Ihrem FTP-Programm.<br><br><a href=\"../help\" class=\"help_link\">MOSAIC HELP</a>";
		}

		if($message == "wrong_cachepass") {
			echo "<h3>Error :-(</h3>";
			echo "Das angegebene Kennwort stimmt nicht mit dem gespeicherten &uuml;berein. Versuchen Sie es bitte noch einmal.";
			echo "<br><br>";
			echo "<form method=\"post\"><input type=\"password\" name=\"ask_for_cachepass\"><input type=\"submit\" value=\"Clear cache\" name=\"ask_for_clear_cache\"></form>";
		}

		if($message == "deleted") {
			echo "<h3>Fertig :-)</h3>";
			echo "Der cache-Ordner wurde geleert. Bitte starten Sie nun MOSAIC erneut und f&uuml;hren Sie alle Optionen aus, um neue MOSAIC-Dateien Ihrer Bilder zu erstellen. Insbesondere sollten die SLIDESHOW vollst&auml;ndig ausgef&uuml;hrt werden.<br><br><a href=\"../\" class=\"help_link\">MOSAIC starten</a>";
		}

		if($message == "error_unknown") {
			echo "<h3>Error :-(</h3>";
			echo "Es trat ein Fehler beim L&ouml;schen Ihres cache-Ordners auf. M&ouml;glicherweise ist der Pfad nicht identisch mit <b>$cache_dir</b>, oder der gallery-Ordner ist schreibgesch&uuml;tzt.<br><br><a href=\"../help\" class=\"help_link\">MOSAIC HELP</a>";
		}

		if($message == "error_notexists") {
			echo "<h3>Error :-(</h3>";
			echo "Es trat ein Fehler beim L&ouml;schen Ihres cache-Ordners auf. Vermutlich ist Ihr cache-Ordner bereits geleert oder gel&ouml;scht.<br><br><a href=\"../\" class=\"help_link\">MOSAIC starten</a>";
		}
		?>
	</div>
	<img src="control_background_bottom.gif" width="422" height="15" alt="------"><br>
</div>

</body>
</html>
