<?php
/*######################################################### 
# MOSAIC V 1.0                                            #
#                                                         #
# (c) 2006 by yellowgreen. under                          #
# GPL http://creativecommons.org/licenses/by-nc-sa/2.0/de #
# http://www.yellowgreen.de                               #
# For more information, please read the help file.        #
#########################################################*/

// BASIC SETTINGS

			// path to pictures and mosaic software
			$images = "gallery/";
			$mosaic = "mosaic/mosaic_maker.php";
			
			// image sizes
			$thumbnail_size = 90;
			$normal_size = 150;
			$tiles_size = 225;
			
			// images per row
			$thumbnails_per_row = 5;
			$normals_per_row = 3;
			$tiles_per_row = 2;
			
			// standard size for mosaic
			!$mosaic_size ? $mosaic_size = 150
				: $mosaic_size;
			
			// new line after ? images
			!$images_per_row ? $images_per_row = 3
				: $images_per_row;


// SOFTWARE SETTINGS (DO NOT CHANGE!)

			// turn off PHP-Errors
			error_reporting(0);

			// check position
			!$position ? $position = 0 : $position;
			
			// get images
			$images_open = opendir($images);
			while($dir_entry = readdir($images_open)) {
				$imagedata = getimagesize($images . $dir_entry);
				if($imagedata[2] == 1 || $imagedata[2] == 2 || $imagedata[2] == 3) $image[] = $dir_entry;
			}
			closedir($images_open);
			
			// check for number of images, images left (for full mosaic), images per site
			$number_of_images = count($image);
			$images_until_end = $number_of_images - $position;
			$images_per_site = $images_per_row * $images_per_row;
			
			// fill mosaic to maximum
			if($number_of_images - $position <= $images_per_site && $number_of_images > $images_per_site) $position = $number_of_images - $images_per_site;
			
			// set variables for navigation
			$number_of_sites = ceil($number_of_images / $images_per_site);
			$site = ceil(($position / $images_per_site) + 1);
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>MOSAIC &bull; Designer's Gallery</title>
	
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"> 
	<meta name="content-language" content="de">
	<meta name="robots" content="index">
	<meta name="revisit-after" content="7 day">

	<meta name="page-type" content="Gallery, Galerie">
	<meta name="page-topic" content="Images, Pictures, Wallpapers, Fotos, Photos, Bilder">

	<meta name="publisher" content="Ihr Name">
	<meta name="copyright" content="www.yellowgreen.de">

	<meta name="description" content="Images, Pictures, Wallpapers, Fotos, Photos, Bilder">
	<meta name="keywords" content="Images, Pictures, Wallpapers, Fotos, Photos, Bilder">

	<link href="mosaic/master.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" language="javascript" src="mosaic/master.js"></script>
	<script type="text/javascript" language="javascript" src="mosaic/popup.js"></script>
</head>

<body onload="javascript:hide_quick_navigation()">

<!-- logo -->
<div class="logo"><a href="http://www.yellowgreen.de/produkte/" target="_blank" title="MOSAIC &bull; The smart &amp; clever gallery &bull; by yellowgreen."><img src="mosaic/logo.gif" width="280" height="57" alt="MOSAIC V 1.0 by yellowgreen." border="0"></a></div>

<?php
if(!isset($slideshow)) {
	echo '<!-- images in stock -->' . "\n";
	echo '<div class="images_in_stock">' . $number_of_images . ' IMAGES IN STOCK</div>' . "\n";
}
?>

<!-- options -->
<div class="options">
		MOSAIC MODE <img src="mosaic/arrow_quick.gif" width="11" height="8" alt="-"> 
		<a class="active_site" href="?position=<?=$position?>&amp;images_per_row=<?=$thumbnails_per_row?>&amp;mosaic_size=<?=$thumbnail_size?>" title="<?=$thumbnail_size?> &times; <?=$thumbnail_size?>">THUMBNAILS</a>
		<a class="active_site" href="?position=<?=$position?>&amp;images_per_row=<?=$normals_per_row?>&amp;mosaic_size=<?=$normal_size?>" title="<?=$normal_size?> &times; <?=$normal_size?>">NORMAL</a>
		<a class="active_site" href="?position=<?=$position?>&amp;images_per_row=<?=$tiles_per_row?>&amp;mosaic_size=<?=$tiles_size?>" title="<?=$tiles_size?> &times; <?=$tiles_size?>">TILES</a>
</div>

<!-- backward/forward navigation -->
<div class="navigation_arrows">
	<?php
	if(!isset($slideshow)) {
		// navigation backward
		if($position - $images_per_site > 0 ) $forward_to_position = $position - $images_per_site; else $forward_to_position = 0;
		
		if($position >= 1)
			echo '<a href="?position=' . $forward_to_position . '&amp;images_per_row=' . $images_per_row . '&amp;mosaic_size=' . $mosaic_size . '"><img src="mosaic/backward.gif" width="42" height="42" alt="forward" border="0" align="left"></a>';
		
		// navigation forward
		if(($number_of_images - $position) < $images_per_site) $forward_to_position = $number_of_images - $position; else $forward_to_position = $position + $images_per_site;
		
		if($position + $images_per_site < $number_of_images)
			echo '<a href="?position=' . $forward_to_position . '&amp;images_per_row=' . $images_per_row . '&amp;mosaic_size=' . $mosaic_size . '"><img src="mosaic/forward.gif" width="42" height="42" alt="forward" border="0" align="right"></a>';
	}
	?>
</div>

<!-- mosaic -->
<div id="mosaic">
	<?php
	// produce mosaics
	if(!isset($slideshow)) {
		for($i = $position; $i < ($position + $images_per_site) && $i < $number_of_images; $i++) {
			$imagedata = getimagesize($images . $image[$i]);
			$width = $imagedata[0] + 20;
			$height = $imagedata[1] + 20;
				
			echo '<a href="' . $images . $image[$i] . '" onclick="return imageStage(this, \'' .  $image[$i] . '\', ' . $width . ', ' . $height . ')" title="' . $image[$i] . '" target="_blank"><img class="thumbnail" src="' . $mosaic . '?image=' . $images . $image[$i] . '&amp;mosaic_size=' . $mosaic_size . '" border="0" alt="' . $image[$i] . '" title="' . $image[$i] . '"></a>';
			if(!$break) { $break = 1; $break++; } else if($break == $images_per_row) { echo "<br>\n"; $break = 1; } else $break++;
		}
	} else {
		echo '<script type="text/javascript" language="javascript">' . "\n";
		echo 'var mosaic = "' . $mosaic . '";' . "\n";
		echo 'var images = "' . $images . '";' . "\n";
		echo 'var image = new Array();' . "\n";
		
		for($i = 0; $i < $number_of_images; $i++) {
			echo 'image[' . $i . '] = "' . $image[$i] . '";' . "\n";
		}
		
		echo 'i = ' . $position . ';' . "\n";
		echo 'time = 3000;' . "\n";
		echo 'var numberOfImages = ' . $number_of_images . ';' . "\n";
		
		echo 'function showNextImage() {' . "\n";
			echo 'if(i < numberOfImages - 1) {' . "\n";
				echo 'i++;' . "\n";
				echo 'document.getElementById("showSite").innerHTML = i + 1;' . "\n";
				echo 'document.getElementById("slideImage").src = mosaic + "?image=" + images + image[i] + "&slideshow_size=450";' . "\n";
				echo 'document.getElementById("showFullsize").href = images + image[i];' . "\n";
			echo '} else {' . "\n";
				echo 'window.clearInterval(slideShow); i = -1; controlPlay = "on";' . "\n";
			echo '}' . "\n";
		echo '}' . "\n";
		
		echo 'document.getElementById("mosaic").style.textAlign = "center";' . "\n";
		echo 'document.write("<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" height=\"100%\" border=\"0\"><tr><td id=\"mosaic_input\" align=\"center\" valign=\"middle\"><a id=\"showFullsize\" href=\"" + images + image[i] + "\" target=\"_blank\"><img id=\"slideImage\" src=\"" + mosaic + "?image=" + images + image[i] + "&slideshow_size=450\" onclick=\"javascript:play(clickOnImage=1)\" border=\"0\"></a></td></tr></table>");' . "\n";
		echo 'play();' . "\n";

		echo '</script>';
		echo '<noscript><div style="color:red; text-align:center; font-weight:bold"><h1>Sorry :-(</h1>No JavaScript = No Slideshow<br><br>Please enable JavaScript support in your browser settings. If you don\'t know how to do this, please ask the guy who disabled it for you.</div></noscript>';
	}
	?>
</div>

<!-- quick navigation -->
<div class="menu">
	<div class="position">
	<?php
	if(!isset($slideshow)) {
		echo '&nbsp; PAGE <span class="active_site">' . $site . '</span> OF <span class="active_site">' . $number_of_sites . '</span>&nbsp;';
		echo '<img src="mosaic/arrow_quick.gif" width="11" height="8" alt="-"> SHOW <a class="active_site" href="javascript:show_quick_navigation()">QUICK NAVIGATION</a>';
		echo '&nbsp;START <a class="active_site" href="?slideshow&amp;position=' . $position . '">SLIDESHOW</a>';
	} else {
		echo '&nbsp; IMAGE <span class="active_site" id="showSite"><script type="text/javascript" language="javascript">document.write(i+1);</script></span> OF <span class="active_site">' . $number_of_images . '</span>';
		echo '&nbsp;<img src="mosaic/arrow_quick.gif" width="11" height="8" alt="-">';
		echo '&nbsp;<a class="active_site" style="cursor:hand; cursor:pointer" onclick="javascript:play()">PLAY <img src="mosaic/button_play.gif" width="10" height="10" border="0"></a>';
		echo '&nbsp;<a class="active_site" id="pause_button" style="cursor:hand; cursor:pointer" onclick="javascript:play()">PAUSE <img src="mosaic/button_pause.gif" width="10" height="10" border="0"></a>';
		echo '&nbsp;<a class="active_site" href="?position=' . $position . '">STOP <img src="mosaic/button_stop.gif" width="10" height="10" border="0"></a>';
		echo '&nbsp;<a class="active_site" style="cursor:hand; cursor:pointer" onclick="javascript:faster()">&nbsp;<img src="mosaic/button_slower.gif" width="10" height="10" border="0">&nbsp;</a>';
		echo '&nbsp;<a class="active_site" style="cursor:hand; cursor:pointer" onclick="javascript:slower()">&nbsp;<img src="mosaic/button_faster.gif" width="10" height="10" border="0">&nbsp;</a>';
		echo '&nbsp;<img src="mosaic/arrow_quick.gif" width="11" height="8" alt="-">';
		echo '&nbsp;<span id="time"><script type="text/javascript" language="javascript">document.write(time/1000);</script> SEC</span>';
	}
	?>
	</div>
	
	<div id="quick_navigation">
		<?php
		if(!isset($slideshow)) {
			// navigation show sites
			for($c = 0; $c < $number_of_sites; $c++) {
				if(($c + 1) == $site)
					echo '<a class="active_site" href="?&amp;position=' . ($c * $images_per_site) . '&amp;images_per_row=' . $images_per_row . '&amp;mosaic_size=' . $mosaic_size . '">' . ($c + 1) . '</a>';
						else
							echo '<a class="inactive_site" href="?&amp;position=' . ($c * $images_per_site) . '&amp;images_per_row=' . $images_per_row . '&amp;mosaic_size=' . $mosaic_size . '">' . ($c + 1) . '</a>';
		
				if($c < $number_of_sites - 1) echo " ";
			}
		}
		?>
	</div>
</div>

</body>
</html>